<?php
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

// Load the SMF DB Functions
db_extend('packages');

$columns = array(
	array(
		'name' => 'hcc_id_entry',
		'type' => 'smallint',
		'size' => 5,
		'unsigned' => true,
		'auto' => true,
		'null' => false,
	),
	array(
		'name' => 'hcc_reg_date',
		'type' => 'int',
		'size' => 10,
		'unsigned' => true,
		'null' => false,
		'default' => 0,	
	),
	array(
		'name' => 'hcc_id_event',
		'type' => 'smallint',
		'size' => 5,
		'unsigned' => true,
		'null' => false,
	),
	array(
		'name' => 'hcc_id_member',
		'type' => 'mediumint',
		'size' => 8,
		'unsigned' => true,
		'null' => false,
		'default' => 0,	
	),
	array(
		'name' => 'hcc_date_confirmed',
		'type' => 'int',
		'size' => 10,
		'unsigned' => true,
		'null' => false,
		'default' => 0,	
	),
);

$indexes = array(
	array(
		'type' => 'primary',
		'columns' => array('hcc_id_entry'),
	),
	array(
		'name' => 'hcc_reg_date',
		'columns' => array('hcc_reg_date'),
	),
	array(
		'name' => 'event',
		'columns' => array('hcc_id_event', 'hcc_id_member'),
	),
);

if ($smcFunc['db_create_table']('{db_prefix}hcb_calendar', $columns, $indexes, array(), 'ignore') === false)
	die ('<b>Error:</b> Failed to insert new table.');

// we need to add this new column to the table in case this is an update to an 
// existing install (ceate_table won't add new columns to an existing table!!!)
$column = 	array(
		'name' => 'hcc_comment',
		'type' => 'text',
	);
if ($smcFunc['db_add_column']('{db_prefix}hcb_calendar', $column, array()) === false)
	die ('<b>Error:</b> Failed to insert new comment column.');

$column = 	array(
		'name' => 'hcc_attend',
		'type' => 'smallint',
		'size' => 1,
		'unsigned' => true,
		'null' => false,
		'default' => 1,	
	);
if ($smcFunc['db_add_column']('{db_prefix}hcb_calendar', $column, array()) === false)
	die ('<b>Error:</b> Failed to insert new attendee count column.');


// add event reg stuff to smf calendar table
$columns = array(
		array(
			'name' => 'hcc_max_attendants',
			'type' => 'smallint',
			'size' => 10,
			'null' => false,
			'default' => 50,	
			'unsigned' => true,
		),
		array(
			'name' => 'hcc_confirm',
			'type' => 'smallint',
			'size' => 1,
			'null' => false,
			'default' => 0,	
			'unsigned' => true,
		),
		array(
			'name' => 'hcc_days_closed',
			'type' => 'smallint',
			'size' => 5,
			'null' => false,
			'default' => 0,	
			'unsigned' => true,
		),
		array(
			'name' => 'hcc_terms_conds',
			'type' => 'text',
		),
		array(
			'name' => 'hcc_groups',
			'type' => 'text',
		),
		array(
			'name' => 'hcc_sub_ids',
			'type' => 'text',
		),
		array(
			'name' => 'hcc_reg_sub_ids',
			'type' => 'text',
		),
		array(
			'name' => 'hcc_add_comment',
			'type' => 'smallint',
			'size' => 1,
			'null' => false,
			'default' => 0,	
			'unsigned' => true,
		),
		array(
			'name' => 'hcc_see_comment',
			'type' => 'smallint',
			'size' => 1,
			'null' => false,
			'default' => 0,	
			'unsigned' => true,
		),
		array(
			'name' => 'hcc_max_register',
			'type' => 'smallint',
			'size' => 1,
			'null' => false,
			'default' => 1,	
			'unsigned' => true,
		),
	);

foreach ($columns as $column)
{
	if ($smcFunc['db_add_column']('{db_prefix}calendar', $column, array(), 'update') === false)
		die ('<b>Error:</b> Failed to add column ' . $column['name'] . ' to calendar table.');	
}

// add event column to paid subscriptions table
$column = array(
	'name' => 'event',
	'type' => 'tinyint',
	'size' => 3,
	'default' => 0,
	'null' => false,
	'unsigned' => true,
	);
if ($smcFunc['db_add_column']('{db_prefix}subscriptions', $column, array(), 'update') === false)
	die('<b>Error:</b> Failed to add column to subscriptions table.');

?>